<div class="input-group" ng-class="{'is-invalid':$ctrl.invalid}"> 	
	<div class="input-group-prepend" ng-click="$ctrl.select_dialcode()"> 
		<span class="input-group-text ng-binding" style="background: transparent;position: relative"> <span class="flag-icon flag-icon-{{$ctrl.default.code.toLowerCase()}}"> </span> &nbsp; {{$ctrl.default.dial_code}} &nbsp;&nbsp;<i class="fa fa-angle-down"></i></span> 
		<ul ng-if="$ctrl.is_visible">
			<li ng-repeat="country in $ctrl.countries" ng-click="$ctrl.onValueChanged(country)"><span class="flag-icon flag-icon-{{country.code.toLowerCase()}}"> </span> &nbsp; {{country.dial_code}} - {{country.name}}</li>
		</ul>
	</div> 
	<input name="clinicMobile" type="text" class="form-control bio-custom-input" maxlength="{{$ctrl.mobile_max}}" minlength="{{$ctrl.mobile_max}}" ng-model="$ctrl.cmobile" width="240px" ng-pattern="$ctrl.mobile_regex"> 

</div>
<div class="invalid-feedback" style="display: block" ng-if="$ctrl.invalid"> Invalid Mobile Number </div>